//CW3DPlane.h
//Brent Gunning
//Copyright 2002 All Rights Reserved

//this is a class for planes. it's very
//possible to use d3dx's plane functions and
//such but in the process of creating this applicaiton,
//I created a plane class so it would make sense
//to use it even if it is a little bit slower

//define the file
#ifndef CW3DPLANE_H
#define CW3DPLANE_H

//include files
#include "d3d8.h"
#include "math.h"//for sqrt

//plane class
class CW3DPlane
{
public:
	//constructor/deconstructor
	//releases memory for the plane
	CW3DPlane() {Release();}
	~CW3DPlane() {Release();}

	//releases the plane's memory
	HRESULT Release();

	//normalizes the plane
	HRESULT Normalize();

	//finds the distance to the plane from a point
	//returns the distance
	float PointDistance(float x, float y, float z);

public:
	float a,b,c,d;//normal(abc) and distance from user (d)
};

#endif