//ModelBoundings.h
//Brent Gunning
//Copyright 2002 All Rights Reserved

//holds the structures for model boundings such as
//bounding boxes and bounding spheres. Actually, that's
//all there is :-)

#ifndef MODELBOUNDINGS_H
#define MODELBOUNDINGS_H

struct sBoundingBox
{
	float x,y,z;//position
	float w,h,d;//dimensions(width,height,depth)

	//constructor/deconstructor
	sBoundingBox() {x=y=z=w=h=d=0;}
	~sBoundingBox() {x=y=z=w=h=d=0;}
};

struct sBoundingSphere
{
	float x,y,z;//position
	float r;//radious of sphere

	//constructor/deconstructor
	sBoundingSphere() {x=y=z=r=0;}
	~sBoundingSphere() {x=y=z=r=0;}
};
#endif